scala.tools.nsc.transform.ExplicitOuter

# OuterPathTransformer

#### abstract class OuterPathTransformer extends TypingTransformer with Global.UnderConstructionTransformer

A base class for transformers that maintain outerParam values for outer parameters of constructors. The class provides methods for referencing via outer.

Source
  ExplicitOuter.scala

Linear Supertypes
Global.UnderConstructionTransformer, ExplicitOuter.TypingTransformer, Global.Transformer, Global.Transformer, AnyRef, Any
Known Subclasses
ExplicitOuterTransformer, LambdaLifter
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. OuterPathTransformer
2. UnderConstructionTransformer
3. TypingTransformer
4. Transformer
5. Transformer
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new OuterPathTransformer(unit: Global.CompilationUnit)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from OuterPathTransformer to any2stringadd[OuterPathTransformer] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (OuterPathTransformer, B)

   Implicit information
     This member is added by an implicit conversion from OuterPathTransformer to ArrowAssoc[OuterPathTransformer] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def atOwner[A](tree: Global.Tree, owner: Global.Symbol)(trans: ⇒ A): A

   Definition Classes
     TypingTransformer

8. #### final def atOwner[A](owner: Global.Symbol)(trans: ⇒ A): A

   Definition Classes
     TypingTransformer → Transformer

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### var curTree: Global.Tree

    Attributes
      protected
    Definition Classes
      TypingTransformer

11. #### def currentClass: Global.Symbol

    Attributes
      protected
    Definition Classes
      Transformer

12. #### def currentMethod: Global.Symbol

    Attributes
      protected
    Definition Classes
      Transformer

13. #### var currentOwner: Global.Symbol

    Attributes
      protected[scala]
    Definition Classes
      Transformer

14. #### def ensuring(cond: (OuterPathTransformer) ⇒ Boolean, msg: ⇒ Any): OuterPathTransformer

    Implicit information
      This member is added by an implicit conversion from OuterPathTransformer to Ensuring[OuterPathTransformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: (OuterPathTransformer) ⇒ Boolean): OuterPathTransformer

    Implicit information
      This member is added by an implicit conversion from OuterPathTransformer to Ensuring[OuterPathTransformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean, msg: ⇒ Any): OuterPathTransformer

    Implicit information
      This member is added by an implicit conversion from OuterPathTransformer to Ensuring[OuterPathTransformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: Boolean): OuterPathTransformer

    Implicit information
      This member is added by an implicit conversion from OuterPathTransformer to Ensuring[OuterPathTransformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

20. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

21. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from OuterPathTransformer to StringFormat[OuterPathTransformer] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

22. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

23. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### def isUnderConstruction(clazz: Global.Symbol): Boolean

    Attributes
      protected
    Definition Classes
      UnderConstructionTransformer

26. #### var localTyper: (analyzer)#Typer

    Definition Classes
      TypingTransformer

27. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### var outerParam: Global.Symbol

    The directly enclosing outer parameter, if we are in a constructor

    The directly enclosing outer parameter, if we are in a constructor

    Attributes
      protected

31. #### def outerPath(base: Global.Tree, from: Global.Symbol, to: Global.Symbol): Global.Tree

    The path

    >     `base'.$outer$$C1 ... .$outer$$Cn

    which refers to the outer instance of class to of value base.

    The path

    >     `base'.$outer$$C1 ... .$outer$$Cn

    which refers to the outer instance of class to of value base. The result is typed but not positioned.

    `base'.$outer$$C1 ... .$outer$$Cn which refers to the outer instance of class to of value base. The result is typed but not positioned.`

    Attributes
      protected

32. #### def outerValue: Global.Tree

    The first outer selection from currently transformed tree.

    The first outer selection from currently transformed tree. The result is typed but not positioned.

    Will return `EmptyTree` if there is no outer accessor because of a premature self reference.

    Attributes
      protected

33. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

34. #### def toString(): String

    Definition Classes
      AnyRef → Any

35. #### def transform(tree: Global.Tree): Global.Tree

    Definition Classes
      OuterPathTransformer → UnderConstructionTransformer → TypingTransformer → Transformer

36. #### def transformCaseDefs(trees: List[Global.CaseDef]): List[Global.CaseDef]

    Definition Classes
      Transformer

37. #### def transformIdents(trees: List[Global.Ident]): List[Global.Ident]

    Definition Classes
      Transformer

38. #### def transformMemberDefs(trees: List[Global.MemberDef]): List[Global.MemberDef]

    Definition Classes
      Transformer

39. #### def transformModifiers(mods: Global.Modifiers): Global.Modifiers

    Definition Classes
      Transformer

40. #### def transformStats(stats: List[Global.Tree], exprOwner: Global.Symbol): List[Global.Tree]

    Definition Classes
      Transformer

41. #### def transformTemplate(tree: Global.Template): Global.Template

    Definition Classes
      Transformer

42. #### def transformTrees(trees: List[Global.Tree]): List[Global.Tree]

    Definition Classes
      Transformer

43. #### def transformTypeDefs(trees: List[Global.TypeDef]): List[Global.TypeDef]

    Definition Classes
      Transformer

44. #### def transformUnit(unit: Global.CompilationUnit): Unit

    Definition Classes
      Transformer

45. #### def transformValDef(tree: Global.ValDef): Global.ValDef

    Definition Classes
      Transformer

46. #### def transformValDefs(trees: List[Global.ValDef]): List[Global.ValDef]

    Definition Classes
      Transformer

47. #### def transformValDefss(treess: List[List[Global.ValDef]]): List[List[Global.ValDef]]

    Definition Classes
      Transformer

48. #### val treeCopy: Global.TreeCopier

    Definition Classes
      Transformer

49. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

50. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

52. #### def →[B](y: B): (OuterPathTransformer, B)

    Implicit information
      This member is added by an implicit conversion from OuterPathTransformer to ArrowAssoc[OuterPathTransformer] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Global.UnderConstructionTransformer

### Inherited from ExplicitOuter.TypingTransformer

### Inherited from Global.Transformer

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from OuterPathTransformer to any2stringadd[OuterPathTransformer]

### Inherited by implicit conversion StringFormat from OuterPathTransformer to StringFormat[OuterPathTransformer]

### Inherited by implicit conversion Ensuring from OuterPathTransformer to Ensuring[OuterPathTransformer]

### Inherited by implicit conversion ArrowAssoc from OuterPathTransformer to ArrowAssoc[OuterPathTransformer]

### Ungrouped